Subject: [dtn] draft-ietf-dtn-bpbis-11 wrong number of item in section 4.2.3

From: Loiseau lucien <[email-masked]>
Date: Tue, 18 Sep 2018 04:40:58 +0200

Hi,

there is a small mistake in the draft in section 4.2.3 (Canonical
Bundle Block Format):

   Every block other than the primary block (all such blocks are termed
   "canonical" blocks) SHALL be represented as a CBOR array; the number
   of elements in the array SHALL be 6 (if CRC type is zero) or 7
   (otherwise).

Since the "block length" element was removed in the last revision of
the draft, the number of elements in the array shall be 5 (if CRC type
is zero) or 6 (otherwise).

Best Regards,

Lucien Loiseau
Lead Mesh Networking Scientist @ RightMesh